



--CAT_CATALOGO.REPUESTO
if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='cat_catalogo.repuesto' and column_name = 'peso' )
begin
alter table [cat_catalogo.repuesto] add [peso] float NULL DEFAULT 0.0
end

-- insercion _columnas
IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='cat_catalogo.repuesto'
      AND [columna]='peso' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5 AND[requerido]=1 AND [tipo]='float' AND[defecto]=0 AND [tamano] =0)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('cat_catalogo.repuesto' ,'peso',1 ,5 ,1 ,'float' ,0 ,0)
END
